<?php

/**
 * @package Woocomerce Bloons
 * @version 1
 */

/*

Plugin Name: Woocomerce Bloons

Plugin URI: https://www.webcraft.gr/woocommerce-bloons/

Description: Add popup balloons on your desired image to show various products on it.

Author: Vasilis Triantafyllou

Version: 1

Author URI: http://www.webcraft.gr

*/

// Check if Woocommerce exists otherewise prompt warning

function sample_admin_notice__error() {
	if ( class_exists( 'WooCommerce' ) ) { 
} else {
	$class = 'notice notice-error';
	$message = __( 'Please install & activate Woocommerce to run Woocommerce Bloons properly.', 'sample-text-domain' );
	printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), esc_html( $message ) );  
}
}
add_action( 'admin_notices', 'sample_admin_notice__error' );

// Add Styles & Java

function my_bloons_enqueue($hook) {
     wp_enqueue_style( 'custom_bloon_css', plugins_url('/assets/css.css', __FILE__) );
	 wp_enqueue_script( 'custom_bloon_java', plugins_url('/assets/java.js', __FILE__)  );
	 wp_enqueue_style( 'dashicons' );
}
add_action( 'admin_enqueue_scripts', 'my_bloons_enqueue' );
add_action( 'wp_enqueue_scripts', 'my_bloons_enqueue' );

// Register Custom Post Type "bloon_items"

add_action( 'init', 'create_bloon_item' );
function create_bloon_item() {
    register_post_type( 'bloon_items',
        array(
            'labels' => array(
                'name' => 'Bloons',
                'singular_name' => 'Bloon',
                'add_new' => 'Add New',
                'add_new_item' => 'Add New Bloon',
                'edit' => 'Edit',
                'edit_item' => 'Edit Bloon ',
                'new_item' => 'New Bloon ',
                'view' => 'View',
                'view_item' => 'View Bloon',
                'search_items' => 'Search Bloon ',
                'not_found' => 'No Bloon found',
                'not_found_in_trash' => 'No Bloon found in Trash',
                'parent' => 'Parent Bloon '
            ),
			
            'public' => true,
            'menu_position' => 25,
            'supports' => array( 'title', 'thumbnail' ),
            'taxonomies' => array( '' ),
            'menu_icon' => 'dashicons-plus-alt',
            'has_archive' => true
        )
    );
}


// Call the display, settings and popup boxes in the bloon editor

function the_display_bloons() {
    add_meta_box( 'bloon_the_display_bloon',
        'Bloon Display',
        'bloon_the_display_bloon',
        'bloon_items', 'normal', 'high'
    );	
}
add_action( 'admin_init', 'the_display_bloons' );

function my_bloons_set() {
    add_meta_box( 'bloon_meta_box_settings',
        'Bloon Settings',
        'bloon_meta_box_settings',
        'bloon_items', 'normal', 'high'
    );	
}
add_action( 'admin_init', 'my_bloons_set' );

function my_bloons() {
    add_meta_box( 'bloon_meta_box_product',
        'Bloon 1 Details',
        'bloon_meta_box_product',
        'bloon_items', 'normal', 'high'
    );	
}
add_action( 'admin_init', 'my_bloons' );

function my_bloons2() {
    add_meta_box( 'bloon_meta_box_product2',
        'Bloon 2 Details',
        'bloon_meta_box_product2',
        'bloon_items', 'normal', 'high'
    );	
}
add_action( 'admin_init', 'my_bloons2' );

function my_bloons3() {
    add_meta_box( 'bloon_meta_box_product3',
        'Bloon 3 Details',
        'bloon_meta_box_product3',
        'bloon_items', 'normal', 'high'
    );	
}
add_action( 'admin_init', 'my_bloons3' );

function my_bloons4() {
    add_meta_box( 'bloon_meta_box_product4',
        'Bloon 4 Details',
        'bloon_meta_box_product4',
        'bloon_items', 'normal', 'high'
    );	
}
add_action( 'admin_init', 'my_bloons4' );

function my_bloons5() {
    add_meta_box( 'bloon_meta_box_product5',
        'Bloon 5 Details',
        'bloon_meta_box_product5',
        'bloon_items', 'normal', 'high'
    );	
}
add_action( 'admin_init', 'my_bloons5' );



// Render the Main Bloon

function bloon_the_display_bloon( $bloon_item ) {
	
if ( has_post_thumbnail() ) {
	
$url = wp_get_attachment_url( get_post_thumbnail_id($bloon_item->ID), 'full' ); 

$top1 =  get_post_meta( get_the_ID(), 'bloon_top', true );
$left1 =  get_post_meta( get_the_ID(), 'bloon_left', true );
$bloon_url =  get_post_meta( get_the_ID(), 'bloon_product_id', true );
$bloon_color_a =  get_post_meta( get_the_ID(), 'bloon_color', true );

$top2 =  get_post_meta( get_the_ID(), 'bloon_top2', true );
$left2 =  get_post_meta( get_the_ID(), 'bloon_left2', true );
$bloon_url2 =  get_post_meta( get_the_ID(), 'bloon_product_id2', true );
$bloon_color_a2 =  get_post_meta( get_the_ID(), 'bloon_color2', true );

$top3 =  get_post_meta( get_the_ID(), 'bloon_top3', true );
$left3 =  get_post_meta( get_the_ID(), 'bloon_left3', true );
$bloon_url3 =  get_post_meta( get_the_ID(), 'bloon_product_id3', true );
$bloon_color_a3 =  get_post_meta( get_the_ID(), 'bloon_color3', true );

$top4 =  get_post_meta( get_the_ID(), 'bloon_top4', true );
$left4 =  get_post_meta( get_the_ID(), 'bloon_left4', true );
$bloon_url4 =  get_post_meta( get_the_ID(), 'bloon_product_id4', true );
$bloon_color_a4 =  get_post_meta( get_the_ID(), 'bloon_color4', true );

$top5 =  get_post_meta( get_the_ID(), 'bloon_top5', true );
$left5 =  get_post_meta( get_the_ID(), 'bloon_left5', true );
$bloon_url5 =  get_post_meta( get_the_ID(), 'bloon_product_id5', true );
$bloon_color_a5 =  get_post_meta( get_the_ID(), 'bloon_color5', true );
?>

	<div class = "bloon_holder">
	
	<img src="<?php echo $url ?>">
			<?php if ($bloon_url == "0") {} else { ?> 
				<div class = "bloon_arrow1" style = "top:<?php echo $top1; ?>% !important;left:<?php echo $left1; ?>% !important;color:#<?php echo $bloon_color_a; ?> !important;">
					<div class = "box-info">	
					 <?php 			
						$args = array(
						'post_type' => 'product',
						'post__in' => array(  $bloon_url )
						);
						$loop = new WP_Query( $args );
						if ( $loop->have_posts() ) {
							while ( $loop->have_posts() ) : $loop->the_post();
							
								?>
								<a href = "<?php the_permalink(); ?>"><?php the_post_thumbnail(array(100, 100)); ?></a>
								<a href = "<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
									
									<a href = "<?php the_permalink(); ?>">View Details</a>									
								<?php						
												
							endwhile;
						} else {
							echo __( 'No products found' );
						}
						wp_reset_postdata(); 						
					?>
					</div>  
				</div>					
			<?php } ?>	
			
			
				<?php if ($bloon_url2 == "0") {} else { ?> 
				<div class = "bloon_arrow2" style = "top:<?php echo $top2; ?>% !important;left:<?php echo $left2; ?>% !important;color:#<?php echo $bloon_color_a2; ?> !important;">
					<div class = "box-info">	
					 <?php 			
						$args = array(
						'post_type' => 'product',
						'post__in' => array(  $bloon_url2 )
					
						);
						$loop = new WP_Query( $args );
						if ( $loop->have_posts() ) {
							while ( $loop->have_posts() ) : $loop->the_post();
							
								?>
								<a href = "<?php the_permalink(); ?>"><?php the_post_thumbnail(array(100, 100)); ?></a>
								<a href = "<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
									
									<a href = "<?php the_permalink(); ?>">View Details</a>									
								<?php						
												
							endwhile;
						} else {
							echo __( 'No products found' );
						}
						wp_reset_postdata(); 						
					?>
					</div>  
				</div>					
			<?php } ?>	
			
			
			<?php if ($bloon_url3 == "0") {} else { ?> 
				<div class = "bloon_arrow3" style = "top:<?php echo $top3; ?>% !important;left:<?php echo $left3; ?>% !important;color:#<?php echo $bloon_color_a3; ?> !important;">
					<div class = "box-info">	
					 <?php 			
						$args = array(
						'post_type' => 'product',
						'post__in' => array( $bloon_url3 )
						
						);
						$loop = new WP_Query( $args );
						if ( $loop->have_posts() ) {
							while ( $loop->have_posts() ) : $loop->the_post();
							
								?>
								<a href = "<?php the_permalink(); ?>"><?php the_post_thumbnail(array(100, 100)); ?></a>
								<a href = "<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
									
									<a href = "<?php the_permalink(); ?>">View Details</a>									
								<?php						
												
							endwhile;
						} else {
							echo __( 'No products found' );
						}
						wp_reset_postdata(); 						
					?>
					</div>  
				</div>					
			<?php } ?>	
			
			<?php if ($bloon_url4 == "0") {} else { ?> 
				<div class = "bloon_arrow4" style = "top:<?php echo $top4; ?>% !important;left:<?php echo $left4; ?>% !important;color:#<?php echo $bloon_color_a4; ?> !important;">
					<div class = "box-info">	
					 <?php 			
						$args = array(
						'post_type' => 'product',
						'post__in' => array(  $bloon_url4 )
					
						);
						$loop = new WP_Query( $args );
						if ( $loop->have_posts() ) {
							while ( $loop->have_posts() ) : $loop->the_post();
							
								?>
								<a href = "<?php the_permalink(); ?>"><?php the_post_thumbnail(array(100, 100)); ?></a>
								<a href = "<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
								
									<a href = "<?php the_permalink(); ?>">View Details</a>									
								<?php						
													
							endwhile;
						} else {
							echo __( 'No products found' );
						}
						wp_reset_postdata(); 						
					?>
					</div>  
				</div>					
			<?php } ?>	
			
			<?php if ($bloon_url5 == "0") {} else { ?> 
			<?php echo $bloon_url5; ?>
				<div class = "bloon_arrow5" style = "top:<?php echo $top5; ?>% !important;left:<?php echo $left5; ?>% !important;color:#<?php echo $bloon_color_a5; ?> !important;">
					<div class = "box-info">	
					 <?php 			
						$args = array(
						'post_type' => 'product',
						'post__in' => array(  $bloon_url5 )
					
						);
						$loop = new WP_Query( $args );
						if ( $loop->have_posts() ) {
							while ( $loop->have_posts() ) : $loop->the_post();
							
								?>
								<a href = "<?php the_permalink(); ?>"><?php the_post_thumbnail(array(100, 100)); ?></a>
								<a href = "<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
								
									<a href = "<?php the_permalink(); ?>">View Details</a>									
								<?php						
													
							endwhile;
						} else {
							echo __( 'No products found' );
						}
						wp_reset_postdata(); 						
					?>
					</div>  
				</div>					
			<?php } ?>	
			
			
			
	</div> 
	
	<?php
} else {
    echo '
	<h3>Steps:</h3>
	<h4>1. Select featured image with your desired size.</h4>
	<h4>2. Add for each bloon you want to show the product ID, color of the arrow and the distance from the top and left of the main image in percentage. Update to see the result. Repeat until you are satisfied.</h4>
	<h4>3. Copy paste shortcode where you want the Bloon to be shown!</h4>';
	
} ?>

<?php


	
} 

// Render Bloon Settings & Bloons details

function bloon_meta_box_settings( $bloon_item ) {	
	global $post;
	$post_id = $bloon_item->ID;
	
	?>
	<table>
		<tr>	
		<td>Get the shortcode: <code> [bloons number = "<?php echo $post_id; ?>"] </code></td>
		</tr><tr>	
		<td>You can easily <a href = "edit.php?post_type=product" target = "blank">find the ID</a> of your products on the column named 'ID'.</td>
		</tr>
		
	</table>
<?php	
}

function bloon_meta_box_product( $bloon_item ) {
    $bloon_product_id = esc_html( get_post_meta( $bloon_item->ID, 'bloon_product_id', true ) );
    $bloon_top = intval( get_post_meta( $bloon_item->ID, 'bloon_top', true ) );
	$bloon_left = intval( get_post_meta( $bloon_item->ID, 'bloon_left', true ) );
	$bloon_color_a =  get_post_meta(  $bloon_item->ID, 'bloon_color', true );
    ?>	
    <table>
        <tr>
            <td>Product id</td><td>
			<input type="number"  size="3" name="bloon_product_id_name" value="<?php echo $bloon_product_id; ?>" /> <i>0 = disable</i> or <a href = "edit.php?post_type=product" target = "blank">find the ID</a>
           
        </tr>
        <tr>
            <td>Top</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_top_name" value="<?php echo $bloon_top; ?>" />%
               
            </td>
			
			</tr>
        <tr>
		
			 <td>Left</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_left_name" value="<?php echo $bloon_left; ?>" />%
            </td>
        </tr>
		 <tr>		
			<td>Arrow Color</td>
            <td>
			<select name ="bloon_color_name">
			<option  value = "888" <?php if ( $bloon_color_a == '888' ) echo 'selected="selected"'; ?>>Default - Grey</option>
			<option  value = "000" <?php if ( $bloon_color_a == '000' ) echo 'selected="selected"'; ?>>Black</option>			
			<option  value = "fff" <?php if ( $bloon_color_a == 'fff' ) echo 'selected="selected"'; ?>>White</option>
			<option  value = "000099" <?php if ( $bloon_color_a == '000099' ) echo 'selected="selected"'; ?>>Blue</option>
			<option  value = "cc0000" <?php if ( $bloon_color_a == 'cc0000' ) echo 'selected="selected"'; ?>>Red</option>
			<option  value = "ff6600" <?php if ( $bloon_color_a == 'ff6600' ) echo 'selected="selected"'; ?>>Orange</option>
			<option  value = "003300" <?php if ( $bloon_color_a == '003300' ) echo 'selected="selected"'; ?>>Green</option>
			</select>			
            </td>
        </tr>
    </table>
    <?php
}

function bloon_meta_box_product2( $bloon_item ) {

    $bloon_product_id2 = esc_html( get_post_meta( $bloon_item->ID, 'bloon_product_id2', true ) );
    $bloon_top2 = intval( get_post_meta( $bloon_item->ID, 'bloon_top2', true ) );
	$bloon_left2 = intval( get_post_meta( $bloon_item->ID, 'bloon_left2', true ) );
	$bloon_color_a2 =  get_post_meta(  $bloon_item->ID, 'bloon_color2', true );
    ?>	
    <table>
        <tr>
            <td>Product id</td><td>
			<input type="number"  size="3" name="bloon_product_id_name2" value="<?php echo $bloon_product_id2; ?>" /> <i>0 = disable</i> or <a href = "edit.php?post_type=product" target = "blank">find the ID</a>
           
        </tr>
        <tr>
            <td>Top</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_top_name2" value="<?php echo $bloon_top2; ?>" />%
               
            </td>
			
			</tr>
        <tr>
		
			 <td>Left</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_left_name2" value="<?php echo $bloon_left2; ?>" />%
            </td>
        </tr>
		 <tr>		
			<td>Arrow Color</td>
            <td>
			<select name ="bloon_color2_name">
			<option  value = "888" <?php if ( $bloon_color_a2 == '888' ) echo 'selected="selected"'; ?>>Default - Grey</option>
			<option  value = "000" <?php if ( $bloon_color_a2 == '000' ) echo 'selected="selected"'; ?>>Black</option>			
			<option  value = "fff" <?php if ( $bloon_color_a2 == 'fff' ) echo 'selected="selected"'; ?>>White</option>
			<option  value = "000099" <?php if ( $bloon_color_a2 == '000099' ) echo 'selected="selected"'; ?>>Blue</option>
			<option  value = "cc0000" <?php if ( $bloon_color_a2 == 'cc0000' ) echo 'selected="selected"'; ?>>Red</option>
			<option  value = "ff6600" <?php if ( $bloon_color_a2 == 'ff6600' ) echo 'selected="selected"'; ?>>Orange</option>
			<option  value = "003300" <?php if ( $bloon_color_a2 == '003300' ) echo 'selected="selected"'; ?>>Green</option>
			</select>			
            </td>
        </tr>
    </table>
    <?php
}

function bloon_meta_box_product3( $bloon_item ) {
   
    $bloon_product_id3 = esc_html( get_post_meta( $bloon_item->ID, 'bloon_product_id3', true ) );
    $bloon_top3 = intval( get_post_meta( $bloon_item->ID, 'bloon_top3', true ) );
	$bloon_left3 = intval( get_post_meta( $bloon_item->ID, 'bloon_left3', true ) );
	$bloon_color_a3 =  get_post_meta(  $bloon_item->ID, 'bloon_color3', true );
    ?>	
    <table>
        <tr>
            <td>Product id</td><td>
			<input type="number"  size="3" name="bloon_product_id_name3" value="<?php echo $bloon_product_id3; ?>" /> <i>0 = disable</i> or <a href = "edit.php?post_type=product" target = "blank">find the ID</a>
           
        </tr>
        <tr>
            <td>Top</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_top_name3" value="<?php echo $bloon_top3; ?>" />%
               
            </td>
			
			</tr>
        <tr>
		
			 <td>Left</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_left_name3" value="<?php echo $bloon_left3; ?>" />%
            </td>
        </tr>
		 <tr>		
			<td>Arrow Color</td>
            <td>
			<select name ="bloon_color3_name">
			<option  value = "888" <?php if ( $bloon_color_a3 == '888' ) echo 'selected="selected"'; ?>>Default - Grey</option>
			<option  value = "000" <?php if ( $bloon_color_a3 == '000' ) echo 'selected="selected"'; ?>>Black</option>			
			<option  value = "fff" <?php if ( $bloon_color_a3 == 'fff' ) echo 'selected="selected"'; ?>>White</option>
			<option  value = "000099" <?php if ( $bloon_color_a3 == '000099' ) echo 'selected="selected"'; ?>>Blue</option>
			<option  value = "cc0000" <?php if ( $bloon_color_a3 == 'cc0000' ) echo 'selected="selected"'; ?>>Red</option>
			<option  value = "ff6600" <?php if ( $bloon_color_a3 == 'ff6600' ) echo 'selected="selected"'; ?>>Orange</option>
			<option  value = "003300" <?php if ( $bloon_color_a3 == '003300' ) echo 'selected="selected"'; ?>>Green</option>
			</select>			
            </td>
        </tr>
    </table>
    <?php
}

function bloon_meta_box_product4( $bloon_item ) {
   
    $bloon_product_id4 = esc_html( get_post_meta( $bloon_item->ID, 'bloon_product_id4', true ) );
    $bloon_top4 = intval( get_post_meta( $bloon_item->ID, 'bloon_top4', true ) );
	$bloon_left4 = intval( get_post_meta( $bloon_item->ID, 'bloon_left4', true ) );
	$bloon_color_a4 =  get_post_meta(  $bloon_item->ID, 'bloon_color4', true );
    ?>	
    <table>
        <tr>
            <td>Product id</td><td>
			<input type="number" size="3" name="bloon_product_id_name4" value="<?php echo $bloon_product_id4; ?>" /> <i>0 = disable</i> or <a href = "edit.php?post_type=product" target = "blank">find the ID</a>
			
           
        </tr>
        <tr>
            <td>Top</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_top_name4" value="<?php echo $bloon_top4; ?>" />%
               
            </td>
			
			</tr>
        <tr>
		
			 <td>Left</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_left_name4" value="<?php echo $bloon_left4; ?>" />%
            </td>
        </tr>
		 <tr>		
			<td>Arrow Color</td>
            <td>
			<select name ="bloon_color4_name">
			<option  value = "888" <?php if ( $bloon_color_a4 == '888' ) echo 'selected="selected"'; ?>>Default - Grey</option>
			<option  value = "000" <?php if ( $bloon_color_a4 == '000' ) echo 'selected="selected"'; ?>>Black</option>			
			<option  value = "fff" <?php if ( $bloon_color_a4 == 'fff' ) echo 'selected="selected"'; ?>>White</option>
			<option  value = "000099" <?php if ( $bloon_color_a4 == '000099' ) echo 'selected="selected"'; ?>>Blue</option>
			<option  value = "cc0000" <?php if ( $bloon_color_a4 == 'cc0000' ) echo 'selected="selected"'; ?>>Red</option>
			<option  value = "ff6600" <?php if ( $bloon_color_a4 == 'ff6600' ) echo 'selected="selected"'; ?>>Orange</option>
			<option  value = "003300" <?php if ( $bloon_color_a4 == '003300' ) echo 'selected="selected"'; ?>>Green</option>
			</select>			
            </td>
        </tr>
    </table>
    <?php
}


function bloon_meta_box_product5( $bloon_item ) {
   
    $bloon_product_id5 = esc_html( get_post_meta( $bloon_item->ID, 'bloon_product_id5', true ) );
    $bloon_top5 = intval( get_post_meta( $bloon_item->ID, 'bloon_top5', true ) );
	$bloon_left5 = intval( get_post_meta( $bloon_item->ID, 'bloon_left5', true ) );	
	$bloon_color_a5 =  get_post_meta(  $bloon_item->ID, 'bloon_color5', true );
    ?>	
    <table>
        <tr>
            <td>Product id</td><td>
			<input type="number" size="3" name="bloon_product_id_name5" value="<?php echo $bloon_product_id5; ?>" /> <i>0 = disable</i> or <a href = "edit.php?post_type=product" target = "blank">find the ID</a>
			
           
        </tr>
        <tr>
            <td>Top</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_top_name5" value="<?php echo $bloon_top5; ?>" />%
               
            </td>
			
			</tr>
        <tr>
		
			 <td>Left</td>
            <td><input type="number" min="0" max="100" size="3" name="bloon_left_name5" value="<?php echo $bloon_left5; ?>" />%
            </td>
        </tr>
		
		 <tr>		
			<td>Arrow Color</td>
            <td>
			<select name ="bloon_color5_name">
			<option  value = "888" <?php if ( $bloon_color_a5 == '888' ) echo 'selected="selected"'; ?>>Default - Grey</option>
			<option  value = "000" <?php if ( $bloon_color_a5 == '000' ) echo 'selected="selected"'; ?>>Black</option>			
			<option  value = "fff" <?php if ( $bloon_color_a5 == 'fff' ) echo 'selected="selected"'; ?>>White</option>
			<option  value = "000099" <?php if ( $bloon_color_a5 == '000099' ) echo 'selected="selected"'; ?>>Blue</option>
			<option  value = "cc0000" <?php if ( $bloon_color_a5 == 'cc0000' ) echo 'selected="selected"'; ?>>Red</option>
			<option  value = "ff6600" <?php if ( $bloon_color_a5 == 'ff6600' ) echo 'selected="selected"'; ?>>Orange</option>
			<option  value = "003300" <?php if ( $bloon_color_a5 == '003300' ) echo 'selected="selected"'; ?>>Green</option>
			</select>			
            </td>
        </tr>
    </table>
    <?php
}


// Save Options

add_action( 'save_post', 'add_bloons_fields', 10, 2 );
function add_bloons_fields( $bloon_product_id_s, $bloon_item ) {
   
    if ( $bloon_item->post_type == 'bloon_items' ) {// Store data in post meta table if present in post data
        if ( isset( $_POST['bloon_product_id_name'] ) && $_POST['bloon_product_id_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_product_id', $_POST['bloon_product_id_name'] );
        }
        if ( isset( $_POST['bloon_top_name'] ) && $_POST['bloon_top_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_top', $_POST['bloon_top_name'] );
        }
		
		 if ( isset( $_POST['bloon_left_name'] ) && $_POST['bloon_left_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_left', $_POST['bloon_left_name'] );
        }		
		
		 if ( isset( $_POST['bloon_color_name'] ) && $_POST['bloon_color_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_color', $_POST['bloon_color_name'] );
        }
		
        if ( isset( $_POST['bloon_product_id_name2'] ) && $_POST['bloon_product_id_name2'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_product_id2', $_POST['bloon_product_id_name2'] );
        }
        if ( isset( $_POST['bloon_top_name2'] ) && $_POST['bloon_top_name2'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_top2', $_POST['bloon_top_name2'] );
        }
		
		 if ( isset( $_POST['bloon_left_name2'] ) && $_POST['bloon_left_name2'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_left2', $_POST['bloon_left_name2'] );
        }
		 if ( isset( $_POST['bloon_color2_name'] ) && $_POST['bloon_color2_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_color2', $_POST['bloon_color2_name'] );
        }
		
        if ( isset( $_POST['bloon_product_id_name3'] ) && $_POST['bloon_product_id_name3'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_product_id3', $_POST['bloon_product_id_name3'] );
        }
        if ( isset( $_POST['bloon_top_name3'] ) && $_POST['bloon_top_name3'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_top3', $_POST['bloon_top_name3'] );
        }
		
		 if ( isset( $_POST['bloon_left_name3'] ) && $_POST['bloon_left_name3'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_left3', $_POST['bloon_left_name3'] );
		
		}
		 if ( isset( $_POST['bloon_color3_name'] ) && $_POST['bloon_color3_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_color3', $_POST['bloon_color3_name'] );
        }		
		
        if ( isset( $_POST['bloon_product_id_name4'] ) && $_POST['bloon_product_id_name4'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_product_id4', $_POST['bloon_product_id_name4'] );
        }
        if ( isset( $_POST['bloon_top_name4'] ) && $_POST['bloon_top_name4'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_top4', $_POST['bloon_top_name4'] );
        }
		
		 if ( isset( $_POST['bloon_left_name4'] ) && $_POST['bloon_left_name4'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_left4', $_POST['bloon_left_name4'] );
        }		
		
		 if ( isset( $_POST['bloon_color4_name'] ) && $_POST['bloon_color4_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_color4', $_POST['bloon_color4_name'] );
        }
		
		 if ( isset( $_POST['bloon_product_id_name5'] ) && $_POST['bloon_product_id_name5'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_product_id5', $_POST['bloon_product_id_name5'] );
        }
        if ( isset( $_POST['bloon_top_name5'] ) && $_POST['bloon_top_name5'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_top5', $_POST['bloon_top_name5'] );
        }
		
		 if ( isset( $_POST['bloon_left_name5'] ) && $_POST['bloon_left_name5'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_left5', $_POST['bloon_left_name5'] );
        }
		
		 if ( isset( $_POST['bloon_color5_name'] ) && $_POST['bloon_color5_name'] != '' ) {
            update_post_meta( $bloon_product_id_s, 'bloon_color5', $_POST['bloon_color5_name'] );
        }
				
    }
}


// Create shortcode

add_shortcode( 'bloons', 'shortcode_mostra_produtos' );

    function shortcode_mostra_produtos( $atts ) {
		ob_start();
    global $wp_query,
        $post;

    $atts = shortcode_atts( array(
        'number' => ''
    ), $atts );

    $loop = new WP_Query( array(        
        'post_type'         => 'bloon_items',
        'orderby'           => 'menu_order title',
        'order'             => 'ASC',
		'post__in' => array($atts['number']), 
    ) );

    if( ! $loop->have_posts() ) {
        return false;
    }

    while( $loop->have_posts() ) {
        $loop->the_post();
        
		bloon_the_display_bloon();
    }

    wp_reset_postdata();
	return ob_get_clean();
}


// Add shortcode column on bloons list

add_filter( 'manage_bloon_items_posts_columns', 'set_custom_edit_bloon_items_columns' );

function set_custom_edit_bloon_items_columns( $columns ) {

  $columns['Shortcode'] = __( 'Get Shortcode', 'my-text-domain' );
 

  return $columns;
}
add_action( 'manage_bloon_items_posts_custom_column' , 'custom_bloon_items_column', 10, 2 );

function custom_bloon_items_column( $column, $post_id ) {
	
	global $post;
	$post_id = get_the_id();
  switch ( $column ) {
	  case 'Shortcode' :
	  echo '[bloons number ="'.$post_id.'"]';    
      break;  

  }
}

// Add Product ID column on woocommerce

add_filter( 'manage_edit-product_columns', 'bloons_show_id', 1 );
function bloons_show_id($columns){
   $columns['ID'] = __( 'ID'); 
   return $columns;
}

add_action( 'manage_product_posts_custom_column', 'bloon_show_id_content', 1, 2 );
function bloon_show_id_content( $column, $postid ) {
    if ( $column == 'ID' ) {
       global $product;
		$id = $product->get_id(); echo $id;
    }
}